package modules.gossip;

import utils.*;
import simulator.*;
import modules.region.*;
import java.util.*;

/* 
   Gossip, like broadcast, fills an area with information. Gossip,
   however, is centerless. Rather, a Gossip item merges data from
   all sources is the region, spreading it omnidirectionally through
   neighbors.
*/

public interface Gossip {
  // copy data from a neighbor in
  public void integrate(Gossip nbr, PortedProcessor pp);
  public void update(PortedProcessor pp);
  // must be a deep clone
  public Object clone();
}


